/*
	File: CEG_script.sqf
	Version: 0.9.6
	Author: Loyalguard
 
	Description:
	A script to ensure that only one version of CEG (addon or mission script) is running.

	Parameters:
	None.
 
	Execution:
	Executed by the init.sqf or other similar executing instance.  This script will run on all machines SP, MP Hosts, MP dedicated servers, and MP Clients).
 */

if (!isNil "CEG_DEBUG") then {_debug = ["CEG_script.sqf: Thread started."] call LGD_fnc_debugMessage;}; //DEBUG 

// If the CEG addon is installed and initialized then exit the script immediately to avoid conflicts between script and addon versions running simultaneously.
if (isClass (configFile >> "cfgPatches" >> "CEG")) exitWith {diag_log text "CEG addon version installed...aborting script version."};

// Otherwise continue CEG Simulation initialization
_nul = [] execVM "CEG\Scripts\CEG_init.sqf";

if (!isNil "CEG_DEBUG") then {_debug = ["CEG_script.sqf: Addon version not installed. Script Version initializing.  Thread finished."] call LGD_fnc_debugMessage;}; //DEBUG 